#include <iostream>
using namespace std;
int main(){
	int n,q;
	cin>>n;
	cin>>q;
	int a[100],niz1[100],medijana;
	int br = -1;
	
	for(int i=0;i<n;i++){
		cin>>a[i];
	}
	
	for(int i=0;i<q;i++){
		cin>>niz1[i];
	}
	
	if(n%2 == 1){
		medijana = a[(n/2)];
		cout<<0<<endl;
	}
	for(medijana; medijana < 7; medijana++){
		medijana;
		br++;
	}
	cout<<br<<endl;
		for(medijana; medijana <= 10; medijana++){
		medijana;
		br++;
	}
	cout<<br;
}